Package weka.core.converters

# Interface FileSourcedConverter

All Known Implementing Classes:
  `AbstractFileLoader`, `AbstractFileSaver`, `ArffLoader`, `ArffSaver`, `C45Loader`, `C45Saver`, `CSVLoader`, `CSVSaver`, `LibSVMLoader`, `LibSVMSaver`, `SerializedInstancesLoader`, `SerializedInstancesSaver`, `SVMLightLoader`, `SVMLightSaver`, `XRFFLoader`, `XRFFSaver`

public interface FileSourcedConverter
Interface to a loader/saver that loads/saves from a file source.

Version:
  $Revision: 1.5 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileDescription()`
Get a one line description of the type of file
`String`
`getFileExtension()`
Get the file extension used for this type of file
`String[]`
`getFileExtensions()`
Gets all the file extensions used for this type of file
`boolean`
`getUseRelativePath()`
Gets whether relative paths are to be used
`File`
`retrieveFile()`
Return the current source file/ destination file
`void`
`setFile(File file)`
Set the file to load from/ to save in
`void`
`setUseRelativePath(boolean rp)`
Set whether to use relative rather than absolute paths

## Method Details

### getFileExtension

String getFileExtension()
Get the file extension used for this type of file

Returns:
  the file extension

### getFileExtensions

String[] getFileExtensions()
Gets all the file extensions used for this type of file

Returns:
  the file extensions

### getFileDescription

String getFileDescription()
Get a one line description of the type of file

Returns:
  a description of the file type

### setFile

void setFile(File file) throws IOException
Set the file to load from/ to save in

Parameters:
  `file` - the file to load from
Throws:
  `IOException` - if an error occurs

### retrieveFile

File retrieveFile()
Return the current source file/ destination file

Returns:
  a `File` value

### setUseRelativePath

void setUseRelativePath(boolean rp)
Set whether to use relative rather than absolute paths

Parameters:
  `rp` - true if relative paths are to be used

### getUseRelativePath

boolean getUseRelativePath()
Gets whether relative paths are to be used

Returns:
  true if relative paths are to be used